<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="770a66e2-e0fd-426d-a729-d7cfc956061d" name="Changes" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/configs/_base_/datasets/hrsc.py" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/configs/h2rbox/h2rbox_r50_fpn_1x_dior_le90.py" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/configs/rotated_retinanet/rotated_retinanet_hbb_r50_fpn_6x_hrsc_rr_oc.py" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/h2rbox/dataset.py" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/mmrotate/datasets/pipelines/transforms.py" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/run.sh" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/run_test.sh" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/run_vis.sh" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectId" id="28dS0Vgs77ISU9UHRBzT6nBRywa" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="1" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;WebServerToolWindowFactoryState&quot;: &quot;true&quot;,
    &quot;WebServerToolWindowPanel.toolwindow.highlight.mappings&quot;: &quot;true&quot;,
    &quot;WebServerToolWindowPanel.toolwindow.highlight.symlinks&quot;: &quot;true&quot;,
    &quot;WebServerToolWindowPanel.toolwindow.show.date&quot;: &quot;false&quot;,
    &quot;WebServerToolWindowPanel.toolwindow.show.permissions&quot;: &quot;false&quot;,
    &quot;WebServerToolWindowPanel.toolwindow.show.size&quot;: &quot;false&quot;,
    &quot;last_opened_file_path&quot;: &quot;/Users/yangxue/Desktop/h2rbox-mmrotate&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;
  }
}</component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/configs/h2rbox_atss" />
      <recent name="$PROJECT_DIR$/configs/kfiou/hrsid" />
      <recent name="$PROJECT_DIR$/configs/gwd/hrsid" />
      <recent name="$PROJECT_DIR$/configs/kld/hrsid" />
      <recent name="$PROJECT_DIR$/configs/rotated_retinanet/hrsid" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/configs/h2rbox/dotav15" />
      <recent name="$PROJECT_DIR$/wsood" />
    </key>
  </component>
  <component name="RunManager" selected="Python.test">
    <configuration name="test" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="mmrotate-wsl" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/test.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="tmp" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="mmrotate-wsl" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/tmp.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="wsl_dataset" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="mmrotate-wsl" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/wsl" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/wsl/wsl_dataset.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="wsood_dataset" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="mmrotate-wsl" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/wsood" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/wsood/wsood_dataset.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Python.test" />
        <item itemvalue="Python.wsood_dataset" />
        <item itemvalue="Python.tmp" />
        <item itemvalue="Python.wsl_dataset" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="SvnConfiguration">
    <configuration>$USER_HOME$/.subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="770a66e2-e0fd-426d-a729-d7cfc956061d" name="Changes" comment="" />
      <created>1651544747841</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1651544747841</updated>
      <workItem from="1651544749253" duration="12980000" />
      <workItem from="1651560138970" duration="25100000" />
      <workItem from="1651679030373" duration="13743000" />
      <workItem from="1651757098821" duration="8535000" />
      <workItem from="1651826330160" duration="16702000" />
      <workItem from="1651904053299" duration="2074000" />
      <workItem from="1651914482824" duration="18736000" />
      <workItem from="1652009300305" duration="28155000" />
      <workItem from="1652185863339" duration="8232000" />
      <workItem from="1652248451560" duration="22650000" />
      <workItem from="1652432094487" duration="47653000" />
      <workItem from="1653212693518" duration="5441000" />
      <workItem from="1653323121495" duration="12285000" />
      <workItem from="1653535291721" duration="6186000" />
      <workItem from="1653591610209" duration="7412000" />
      <workItem from="1653726280670" duration="12362000" />
      <workItem from="1653996326952" duration="313000" />
      <workItem from="1653997564288" duration="43463000" />
      <workItem from="1654495780199" duration="26741000" />
      <workItem from="1654771238639" duration="9709000" />
      <workItem from="1654881678624" duration="9392000" />
      <workItem from="1655034385060" duration="7788000" />
      <workItem from="1655263213456" duration="10000" />
      <workItem from="1655263234264" duration="643000" />
      <workItem from="1655271146812" duration="598000" />
      <workItem from="1655276150527" duration="2549000" />
      <workItem from="1655382430106" duration="3274000" />
      <workItem from="1655539855967" duration="801000" />
      <workItem from="1655609102350" duration="4792000" />
      <workItem from="1655817931126" duration="543000" />
      <workItem from="1655818694627" duration="482000" />
      <workItem from="1658136694115" duration="297000" />
      <workItem from="1658218008787" duration="18716000" />
      <workItem from="1658391139565" duration="3780000" />
      <workItem from="1659093528523" duration="47000" />
      <workItem from="1659438964395" duration="24145000" />
      <workItem from="1659858631101" duration="6314000" />
      <workItem from="1659942236844" duration="32346000" />
      <workItem from="1660352415229" duration="39352000" />
      <workItem from="1660743972228" duration="25681000" />
      <workItem from="1661506441947" duration="750000" />
      <workItem from="1661508450781" duration="416000" />
      <workItem from="1661566650384" duration="18144000" />
      <workItem from="1662645683383" duration="320000" />
      <workItem from="1662728574777" duration="24053000" />
      <workItem from="1665636277312" duration="13472000" />
      <workItem from="1666075772069" duration="3092000" />
      <workItem from="1666330977761" duration="6405000" />
      <workItem from="1666926641639" duration="62975000" />
      <workItem from="1667436181740" duration="4518000" />
      <workItem from="1667445940259" duration="6387000" />
      <workItem from="1667461619113" duration="76711000" />
      <workItem from="1668075742614" duration="245000" />
      <workItem from="1668075998171" duration="5000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/test.py</url>
          <line>14</line>
          <option name="timeStamp" value="5" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/test.py</url>
          <line>8</line>
          <option name="timeStamp" value="6" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/wsood/wsood_loss.py</url>
          <line>27</line>
          <option name="timeStamp" value="7" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/mmrotate_wsl$wsood_dataset.coverage" NAME="wsood_dataset Coverage Results" MODIFIED="1661314162134" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/wsood" />
    <SUITE FILE_PATH="coverage/mmrotate_wsl$test.coverage" NAME="test Coverage Results" MODIFIED="1661318532476" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/mmrotate_wsl$wsl_dataset.coverage" NAME="wsl_dataset Coverage Results" MODIFIED="1651845272118" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/wsl" />
    <SUITE FILE_PATH="coverage/mmrotate_wsl$tmp.coverage" NAME="tmp Coverage Results" MODIFIED="1651846043985" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
  </component>
</project>